AHT20TEMP(4)

NAME
aht20temp - Driver for Guangzhou Aosong AHT20 sensor chip via I2C bus

SYNOPSIS
aht20temp* at iic? addr 0x38

DESCRIPTION
The aht20temp driver provides measurements from the AHT20 humidity/temperature sensors via the envsys(4) framework. The aht20temp addr argument selects the address at the iic(4) bus. The crc validity can be changed through sysctl(8) nodes.

SYSCTL VARIABLES
The following sysctl(3) variables are provided:

hw.aht20temp0.ignorecrc
    If set, the crc calculation for %RH and temperature will be ignored.

hw.aht20temp0.debug
    If the driver is compiled with AHT20_DEBUG, this node will appear and can be used to set the debugging level.

hw.aht20temp0.readattempts
    To read %RH or temperature the chip requires that the command be sent, then a delay must be observed before a read can be done to get the values back. The delays are documented in the datasheet for the chip. The driver will attempt to read back the values readattempts number of times. The default is 10 which should be more than enough for most purposes.

SEE ALSO
envsys(4), iic(4), envstat(8), sysctl(8)

HISTORY
The aht20temp driver first appeared in NetBSD 10.0.

AUTHORS
-nosplit The aht20temp driver was written by Brad Spencer <brad@anduin.eldar.org>.